/* framework start */
@import 'constants'
.text-primary
    font-family: $primary-font


.ratio-box
    position: relative
    width: 100%
    padding-top: calc( 100% * (9 / 16)  )
    overflow: hidden
    img,
    iframe
        position: absolute
        top: 0
        left: 0
        right: 0
        width: 100%
        bottom: 0
        height: 100%
        object-fit: cover
        object-position: center

.parent-ratio-3-1
    position: relative
    width: 100%
    padding-top: calc( 100% * (1 / 3)  )
    img,
    iframe
        position: absolute
        top: 0
        left: 0
        right: 0
        width: 100%
        bottom: 0
        height: 100%
        object-fit: cover
        object-position: center

.w-85
    width: 85%

/* framework end */

    
body
    .swiper-container
        .swiper-pagination-bullets
            .swiper-pagination-bullet
                width: auto
                background-color: unset
                display: flex
                flex-direction: row
                justify-content: flex-end
                height: auto
                &:nth-child(n + 2)
                    margin-top: 15px
                &.swiper-pagination-bullet-active
                    .bullet-nav
                        width: 15px
                        height: 15px
                        background-color: #ffffff
                        margin-right: 0px
                        margin-left: 10px
                    .nav-text
                        font-size: 20px

                .bullet-nav
                    width: 6px
                    height: 6px
                    background-color: rgba(255, 255, 255, 0.6)
                    border-radius: 50%
                    margin-left: 10px
                    margin-right: 4.5px
                    margin-left: 14.5px
                    margin-top: auto
                    margin-bottom: auto

body
    background-color: #364546 !important
    &.tab-01::before
        content: ''
        // background-image: url('../KSC_Support/Background-Element_Layer/Our_Story/Our_story-Who_We_Are/Our-story_Who-We-Are-BG_Desktop1440W.png')
        background-size: cover
        background-repeat: no-repeat
        position: fixed
        left: 0
        right: 0
        top: 0
        height: 100vh
        width: 100%
        z-index: -2

    .card
        border: 0
        border-radius: 0
        .card-title
            z-index: 1
            position: relative

    .modal-content
        border-radius: 0
        .modal-header
            border-bottom: 0


    .h-fit
        height: fit-content !important
        -moz-height: fit-content !important

    .w-fit
        width: max-content !important
        -moz-width: max-content !important

p
    &.primary-font
        font-family: KrungsriSimple
        font-size: 18px
        font-weight: 400
        font-stretch: normal
        font-style: normal
        line-height: 1.4
        letter-spacing: normal
        color: #000

h5
    &.primary-font
        font-size: 26px
        font-weight: 600
        font-stretch: normal
        font-style: normal
        line-height: 1.4
        letter-spacing: normal
        color: #000

.story-image
    opacity: .75
    position: relative
    background-color: #000000
    height: 100%
    &::after
        content: ''
        background-color: #000000
        opacity: .3
        background-size: cover
        background-repeat: no-repeat
        position: absolute
        left: 0
        right: 0
        top: 0
        height: auto
        width: 100%

.wrap-hero-banner
    margin-top: 25px


.align-spacing
    display: none
//     height: 100px

.wrap-hero-banner
    &.no-nav
        margin-top: 75px

.position-sticky
    padding-top: 36px
    a:after     
        background: none repeat scroll 0 0 transparent
        bottom: 0
        content: ""
        display: block
        height: 2px
        left: 50%
        position: absolute
        background: #fff
        transition: width 0.3s ease 0s, left 0.3s ease 0s
        width: 0

    a:hover:after  
        width: 100% 
        left: 0 
        

    ul  
        // margin: 150px auto
        margin-left: auto
        margin-right: auto
        padding: 0 
        list-style: none 
        display: table
        text-align: center
        margin-bottom: 4.5px


    li  
        display: table-cell 
        position: relative 
        padding: 0px 25px

.overlay
    opacity: 0
    position: fixed
    height: 240px
    left: 0
    right: 0
    top: 0
    width: 100%
    background-image: linear-gradient(to top, rgba(54, 69, 70, 0), rgba(54, 69, 70, 0.8) 49%, #364546)
    transition: opacity .3s linear
    z-index: 2
    &.isSticky
        opacity: 1

.position-sticky
    top: -1px
    z-index: 999
    max-width: max-content !important
    -moz-width: max-content !important
    margin-left: auto
    margin-right: auto

.nav-text 
    font-family: Krungsri
    font-size: 16px
    font-weight: bold
    font-style: normal
    line-height: 1
    letter-spacing: 0.15px
    text-align: right
    color: #ffffff

.our-story-title
    margin-top: 46px
    margin-bottom: 10px
    font-family: KrungsriSimple
    font-size: 32px
    font-weight: bold
    font-stretch: normal
    font-style: normal
    line-height: 1
    letter-spacing: normal
    color: #ffd400


.container
    .inner-box
        max-width: 924px
        width: 100%

.title-section
    font-family: KrungsriSimple
    font-size: 30px
    font-weight: bold
    font-stretch: normal
    font-style: normal
    // line-height: 0.93
    letter-spacing: 0.05px
    color: #ffd400
    margin-bottom: 45px

.heading
    font-family: KrungsriSimple
    font-size: 50px
    font-weight: 500
    font-stretch: normal
    font-style: normal
    line-height: 1.2
    letter-spacing: 0.15px
    color: #ffffff
    margin-bottom: 25px

.description
    font-family: Krungsri
    font-size: 30px
    font-weight: normal
    font-stretch: condensed
    font-style: normal
    line-height: 1.53
    letter-spacing: 0.15px
    color: #ffffff

.item-header
    font-family: KrungsriSimple
    font-size: 36px
    font-weight: 500
    font-stretch: normal
    font-style: normal
    color: #ffffff

.item-smaller-header
    font-family: KrungsriSimple
    font-size: 20px
    font-weight: 500
    font-stretch: normal
    font-style: normal
    letter-spacing: normal
    color: #ffffff

.text-desc-normal
    font-family: Krungsri
    font-size: 18px
    font-weight: normal
    font-stretch: condensed
    font-style: normal
    line-height: 1.44
    letter-spacing: 0.15px
    color: #ffffff

.text-explain
    font-family: KrungsriSimple
    font-size: 18px
    font-weight: bold
    font-stretch: normal
    font-style: normal
    line-height: 1.56
    letter-spacing: 0.15px
    color: #ffffff

.text-smaller
    opacity: 0.46
    font-family: Krungsri
    font-size: 18px
    font-weight: normal
    font-stretch: condensed
    font-style: normal
    line-height: 1.67
    letter-spacing: 0.15px
    color: #c6d5d2

.wrap-player
    width: max-content
    -moz-width: max-content 
    font-weight: 700
    position: relative
    font-size: 1.125rem
    display: inline-block
    vertical-align: middle
    line-height: 1
    cursor: pointer
    outline: 0
    -webkit-tap-highlight-color: transparent!important
    max-width: 244px
    margin-left: auto
    padding-right: 30px
    &:before
        content: ""
        display: block
        position: absolute
        left: 0
        top: 0
        width: 3.5rem
        height: 3.5rem
        border-radius: 3.5rem
        z-index: 0
        transition: opacity .5s ease,width .5s cubic-bezier(.75,0,.175,1) ,background-color .5s ease-out .5s
    &:hover:before
        background-color: #FFF
        width: 100%
        transition: opacity .5s ease,width .5s cubic-bezier(.75,0,.175,1) 

    &:hover
        outline: 0
        svg
            polygon
                fill: #364546 
        span
            color: #364546 !important
            z-index: 1

.wrap-decide
    width: max-content
    -moz-width: max-content !important
    font-weight: 700
    position: relative
    font-size: 1.125rem
    display: inline-block
    vertical-align: middle
    line-height: 1
    cursor: pointer
    outline: 0
    -webkit-tap-highlight-color: transparent!important
    max-width: 244px
    margin-left: auto
    padding-right: 30px

    &:hover
        outline: 0
        span
            color: #364546 !important
            z-index: 1

        .wrap-decide-icon
            z-index: 1
            &::before
                background-image: url('../KSC_Support/Assets/Function Icon/lessthen_darken.svg')

    &:before
        content: ""
        display: block
        position: absolute
        left: 0
        top: 0
        width: 56px
        height: 56px
        border-radius: 3.8rem
        z-index: 0
        transition: opacity .5s ease,width .5s cubic-bezier(.75,0,.175,1) ,background-color .5s ease-out .5s
    &:hover:before
        background-color: #FFF
        width: 100%
        transition: opacity .5s ease,width .5s cubic-bezier(.75,0,.175,1) 

    .wrap-decide-icon
        width: 56px
        height: 56px
        opacity: 0.9
        border: solid 1px #ffffff
        padding: 15px 20px
        border-radius: 50%
        margin-right: 15px
        position: relative
        &::before
            content: ''
            position: absolute
            height: 27px
            width: 13px
            background-image: url('../KSC_Support/Assets/Function Icon/arrow_02.svg')
            background-size: contain
            background-repeat: no-repeat
    
.trans-text-fade-up-sec04-one
    opacity: 0
    transition: opacity .3s ease-in-out 1s
    &.active
        opacity: 1
        transition: opacity .3s ease-in-out 1s

.new-tag
    width: 37px
    height: 20px
    background-color: #ffda00
    span
        font-family: Krungsri
        font-size: 14px
        font-weight: 500
        font-stretch: condensed
        font-style: normal
        line-height: 1
        letter-spacing: 0.15px
        color: #000000

.wrap-decide
    flex-grow: 1
    flex-shrink: 1
    width: max-content
    -moz-width: max-content 
    height: fit-content
    -moz-height: fit-content 
    span
        font-family: KrungsriSimple
        font-size: 18px
        font-weight: 500
        font-stretch: normal
        font-style: normal
        line-height: 1
        letter-spacing: 0.15px
        color: #ffffff

.wrap-nav
    position: relative
    a 
        color: #fff
        text-transform: uppercase
        text-decoration: none
        display: inline-block
        padding: 15px 0px
        position: relative
        font-family: KrungsriSimple
        font-size: 16px
        font-weight: normal
        font-stretch: normal
        font-style: normal
        line-height: 1
        letter-spacing: normal
        color: #c6d5d2
    .active
        a
            opacity: 1
            color: white
            &:after
                width: 100% 
                left: 0 

.wrap-hero-banner
    // margin-top: 50px
    .story-image
        max-width: 95%

    .banner-detail
        width: 100%

.detail-date
    font-family: KrungsriSimple
    font-size: 22px
    font-weight: normal
    font-stretch: normal
    font-style: normal
    line-height: 1
    letter-spacing: 0.15px
    color: #ffffff

.hide-content-three,
.hide-content-two
    overflow: hidden
    text-overflow: ellipsis
    display: -webkit-box
    -webkit-box-orient: vertical

.hide-content-three
    -webkit-line-clamp: 3

.hide-content-two
    -webkit-line-clamp: 2

.to-all-article
    display: flex
    span
        font-family: Krungsri
        font-size: 18px
        font-weight: normal
        font-stretch: condensed
        font-style: normal
        line-height: 1
        letter-spacing: 0.15px
        color: #c6d5d2
        cursor: pointer

.wrap-main-content 
    .mdc-text-field 
        border-radius: 0 !important
        span
            border: unset

.mdc-floating-label--float-above
    transform: translateY(-150%) scale(.75) !important


textarea
    padding: 16px !important

.mdc-text-field--textarea
    .mdc-floating-label--float-above
        transform: translateY(-70%) scale(.75) !important

.back-to-top
    width: 42px
    height: 42px
    background-color: #ffffff
    position: fixed
    right: 50px
    bottom: 100px
    border-radius: 50%
    z-index: 100
    display: flex
    visibility: hidden
    opacity: 0
    transition: opacity .8s linear
    cursor: pointer
    img
        transform: rotate(90deg)
        height: 19px
        width: 19px
    &.active
        visibility: visible
        opacity: 0.5
        &.active:hover
            opacity: 1

.wrap-pagination-section
    margin-top: 70px
    .page-item
        .page-link
            background: unset
            border: 0
            border-radius: 50% !important
            padding: 15px 18px
            font-size: 18px
            font-weight: bold
            font-stretch: condensed
            font-style: normal
            line-height: 1
            letter-spacing: 0.15px
            color: #FFF
            box-shadow: unset !important
            &:hover
                background: unset
                color: #FFF
            &:active
                background: unset

            &.active
                width: 46px
                height: 46px
                opacity: 0.9
                background-color: #ffffff
                color: #000


// animation  start //

.content-animate
    .content-animate
        &-delay
            transition: all 2s ease-out 1s
            transform: translate3d(0px,100px,0px)
            opacity: 0
        &-slide-up
            transition: all 2s ease-out
            transform: translate3d(0px,100px,0px)
            opacity: 0
        &-slide-up-image
            transition: all 2s ease-out
            transform: translate3d(0px,100px,0px)
            opacity: 0
        &-opacity
            opacity: 0
            transition: opacity 2s ease-out 1.5s
        &-opacity-delay
            opacity: 0
            transition: opacity 2s ease-out 2s

        &-opacity-delay-25
            opacity: 0
            transition: opacity 2s ease-out 2.5s

        &-opacity-delay-03
            opacity: 0
            transition: opacity 2s ease-out 2.5s

        &-opacity-delay-35
            opacity: 0
            transition: opacity 2s ease-out 2.5s

        &-opacity-delay-04
            opacity: 0
            transition: opacity 2s ease-out 2.5s

        &-opacity-delay-45
            opacity: 0
            transition: opacity 2s ease-out 2.5s

        &-opacity-delay-05
            opacity: 0
            transition: opacity 2s ease-out 2.5s

        &-opacity-delay-55
            opacity: 0
            transition: opacity 2s ease-out 2.5s

    &.animate
        .content-animate-slide-up, .content-animate-delay
            transform: translate3d(0px,0px,0px)
            opacity: 1
        .content-animate-opacity,
        .content-animate-opacity-delay, 
        .content-animate-opacity-delay-03,
        .content-animate-opacity-delay-35,
        .content-animate-opacity-delay-04,
        .content-animate-opacity-delay-45,
        .content-animate-opacity-delay-05,
        .content-animate-opacity-delay-55
            opacity: 1
        .content-animate-slide-up-image
            transform: translate3d(0px,0px,0px)
            opacity: .7

// animation  end //

.text-yellow
    color: #ffd400 !important



@media screen and ( max-width: 990px )
    body
        .d-lg
            display: none
        .text-smaller
            line-height: 1.3
        .nav-text
            display: none
        .text-smaller
            font-size: 16px

        .description
            font-size: 18px !important

        .title-section
            font-size: 20px
            margin-bottom: 0

        .text-explain
            font-size: 16px
            font-weight: 500

        .heading
            font-size: 26px

        .detail-date
            font: 26px

        .item-header
            font-size: 26px
            font-weight: bold

        .our-story-title
            font-size: 24px

        .wrap-decide 
            span
                font-size: 18px
                font-weight: 500
            .wrap-decide-icon
                width: 48px
                height: 48px
                opacity: 0.9
                border: solid 0.9px #ffffff
                padding: 10px 20px

            &:before
                content: ""
                display: block
                position: absolute
                left: 0
                top: 0
                width: 48px
                height: 48px
                border-radius: 48px

        .wrap-joined-us 
            .wrap-nav-icon
                clip-path: circle(21px at calc(100% - 40px) 45px) 
                -webkit-clip-path: circle(21px at calc(100% - 40px) 45px) 

    .position-sticky
        z-index: 100
        margin-top: 55px
        padding-top: 0 !important
        .wrap-nav
            li
                white-space: nowrap
                padding: 0px 7px
                a
                    font-size: 12px
            ul
                border-bottom: solid 1px #c6d5d22f
        // &.has-nav
        //     padding-top: 35px

        .our-story-title
            margin-top: 55px


    // .align-spacing
    //     height: 55px
    .wrap-hero-banner
        .text-corporate
            font-size: 40px !important

    .align-spacing
        display: none

    .back-to-top
        right: 20px
        bottom: 72px

    
@media screen and ( min-width: 991px )
    .d-md
        display: none